#include <bits/stdc++.h>

std::vector<int> getVisionPattern1d() {
  std::vector<int> ret = {1, 1, 2, 1, 3};
  return ret;
}

int getMove1d(std::vector<int> v) {
  if(v.size() == 3) {
    if(v[0] == 3)
      return 0;
    if(v[2] == 3)
      return 2;
    if(v[0] == 2)
      return 0;
    return 2;
  }else if(v.size() == 5) {
    if(v[0] == 3)
      return 0;
    return 4;
  } else {
    if(v[0] == 2)
      return 0;
    return 6;
  }
}
std::vector<std::vector<int>> getVisionPattern2d() {
  std::vector<std::vector<int>> ret(1);
  ret[1].resize(1);
  ret[1][1] = 1;
  return ret;
}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v){
  return {0, 0};
}
